### Function

# RB gst_process_tag_string

#### Declaration [src]

    gboolean
    rb_gst_process_tag_string (
      const GstTagList* taglist,
      const char* tag,
      RBMetaDataField* field,
      GValue* value
    )

#### Description [src]

Processes a tag string, determining the metadata field identifier corresponding to the tag name, and converting the tag data into the appropriate value type.

#### Parameters

`taglist`

  Type: `GstTagList`

  A `GstTagList` containing a string tag.

  The data is owned by the caller of the function.

`tag`

  Type: `const char*`

  Tag name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`field`

  Type: `RBMetaDataField`

  Returns the `RBMetaDataField` corresponding to the tag.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  Returns the tag value.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the tag was successfully converted.